Loading...
Searching...
No Matches
chopper_build.cpp File Reference

Implements raptor::hibf::chopper_build. More...

`#include <lemon/list_graph.h>`
`#include <raptor/build/hibf/chopper_build.hpp>`
`#include <raptor/build/hibf/create_ibfs_from_chopper_pack.hpp>`
`#include <raptor/build/store_index.hpp>`
`#include <raptor/index.hpp>`

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

template<seqan3::data_layout data_layout_mode>
void | raptor::hibf::chopper_build (build_arguments const &arguments)
template void | raptor::hibf::chopper_build< seqan3::data_layout::compressed > (build_arguments const &)
template void | raptor::hibf::chopper_build< seqan3::data_layout::uncompressed > (build_arguments const &)

## Detailed Description

Implements raptor::hibf::chopper_build.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>